Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Virgo » 3.5.0M4 Blueprint extender failing to create context
3.5.0M4 Blueprint extender failing to create context [message #871791] Mon, 14 May 2012 17:52 Go to next message
Rich Mayfield is currently offline Rich Mayfield
Messages: 44
Registered: August 2010
Member
Although it looks like the Blueprint extender is finding my bundle's Blueprint context definition, it fails to spin up the Spring container for it.

Discovered configurations {bundleentry://192.fwk25374911/OSGI-INF/blueprint/application_context.xml} in bundle [ACME configuration (com.acme.configuration)]
Thread context class loader 'KernelBundleClassLoader: [bundle=com.acme.configuration_8.0.0.SNAPSHOT]' popped and set to 'KernelBundleClassLoader: [bundle=com.acme.configuration_8.0.0.SNAPSHOT]'
Exception in thread "region-dm-0" java.lang.NoClassDefFoundError: org/eclipse/gemini/blueprint/blueprint/container/SpringBlueprintContainer
at org.eclipse.gemini.blueprint.extender.internal.blueprint.activator.BlueprintContainerProcessor.createBlueprintContainer(BlueprintContainerProcessor.java:243)

Other bundles that include Spring-Context in the MANIFEST.MF seem to start up just fine.

Any ideas? I've seen reference to other bundles conflicting with Blueprint, however I cannot find these.

Thanks much.
Re: 3.5.0M4 Blueprint extender failing to create context [message #872101 is a reply to message #871791] Tue, 15 May 2012 09:15 Go to previous messageGo to next message
Glyn Normington is currently offline Glyn Normington
Messages: 1222
Registered: July 2009
Senior Member
Hi Rich

I see you raised bug 379534 so I guess it's best to continue the discussion there.

Regards,
Glyn
Re: 3.5.0M4 Blueprint extender failing to create context [message #872119 is a reply to message #872101] Tue, 15 May 2012 09:49 Go to previous messageGo to next message
Rich Mayfield is currently offline Rich Mayfield
Messages: 44
Registered: August 2010
Member
Ah, thanks. I'll give the patched extender a try.
Re: 3.5.0M4 Blueprint extender failing to create context [message #874513 is a reply to message #872119] Mon, 21 May 2012 00:18 Go to previous message
Arief Bastian is currently offline Arief Bastian
Messages: 7
Registered: May 2011
Junior Member
Hi all,

I've encountered similar problem as Rich, and yet after I try blueprint-extender patch, I encountered another problem (java.lang.NoSuchFieldError).
In this case, I'm trying to setup a datasource using blueprint instead of spring-dm...
Following are steps to produce :

Environments
------------

1. OS : Windows 7 Professional 32bit
2. VTS : 3.5.0.M04 vanilla (springframework in user region have been upgraded to 3.1.1.RELEASE)
3. Java : Oracle JDK build 1.6.0_31-b05

Steps
-----
1. Install derby java database driver to vts (from ebr.springsource.com - com.springsource.org.apache.derby-10.5.1000001.764942.jar)
2. Trying to install bundle datasource to vts (attached) and failed (log snippet from $VTS/serviceability/logs/log.log attached)

Hope this information will be useful

regards,
--
Arief Bastian
Previous Topic:Bundle deployment questions
Next Topic:HELP ABOUT Spring STS 3.0 with virgo tomcat server
Goto Forum:
  


Current Time: Fri Aug 29 08:25:03 EDT 2014

Powered by FUDForum. Page generated in 0.02384 seconds